org.jfree.report.modules.data.sql

## Interface ConnectionProvider

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    DriverConnectionProvider, StaticConnectionProvider

      public interface ConnectionProvider
      extends java.io.Serializable

  Creation-Date: 07.04.2006, 14:54:29
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.Connection` | `getConnection()`

- - ### Method Detail

    - #### getConnection

          java.sql.Connection getConnection()
                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`